From f8182282ce64804af8418f6bbddb811541b7ec40 Mon Sep 17 00:00:00 2001
From: Leonardo Arena <rnalrd@alpinelinux.org>
Date: Thu, 24 Feb 2022 10:22:21 +0000
Subject: [PATCH] change default paths

---
 etc/webapp_config.json | 12 ++++++------
 main.go                |  2 +-
 2 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/etc/webapp_config.json b/etc/webapp_config.json
index 88c5db3..e0a2389 100644
--- a/etc/webapp_config.json
+++ b/etc/webapp_config.json
@@ -44,7 +44,7 @@
   },
   "swagger": {
     "enable": true,
-    "api_json": "/usr/local/homer/etc/swagger.json",
+    "api_json": "/etc/homer/swagger.json",
     "api_host": "127.0.0.1:9080"
   },
   "loki_config": {
@@ -67,7 +67,7 @@
     "help": "Settings for the HOMER Webapp Server. If you have gzip_static = false, please be sure that your dist directory has uncompressed .js files",
     "host": "0.0.0.0",
     "port": 9080,
-    "root": "/usr/local/homer/dist",
+    "root": "/usr/share/webapps/homer/dist",
     "gzip": true,
     "path": "/",
     "gzip_static": true,
@@ -86,12 +86,12 @@
     "enable": false,
     "host": "0.0.0.0",
     "port": 443,
-    "cert": "/usr/local/homer/tls/cert.pem",
-    "key": "/usr/local/homer/tls/key.pem"
+    "cert": "/etc/homer/tls/cert.pem",
+    "key": "/etc/homer/tls/key.pem"
   },
   "system_settings": {
     "help": "Settings for HOMER logs",
-    "logpath": "/usr/local/homer/log",
+    "logpath": "/var/log/homer",
     "logname": "homer-app.log",
     "_loglevels": "can be: fatal, error, warn, info, debug, trace",
     "loglevel": "error",
@@ -99,7 +99,7 @@
   },
   "dashboard_settings": {
     "_comment": "Here you can define a customs dashboards home",
-    "dashboard_home": "/usr/local/homer/etc/dashboard_home.json"
+    "dashboard_home": "/etc/homer/dashboard_home.json"
   },
   "auth_settings": {
     "_comment": "The type param can be internal, ldap, http_auth",
diff --git a/main.go b/main.go
index 93be8e6..1b5b7bf 100644
--- a/main.go
+++ b/main.go
@@ -730,7 +730,7 @@ func configureAsHTTPServer() {
 	/* static */
 	rootPath := viper.GetString("http_settings.root")
 	if rootPath == "" {
-		rootPath = "/usr/local/homer/dist"
+		rootPath = "/usr/share/webapps/homer/dist"
 	}
 
 	/* static */
-- 
2.35.1

